@use 'partials/variables/mobile-screen';
@use 'partials/mixins/grid-layout';

$full-width: 100%;
$width-400: 384px;
$max-image-height: 288px;

// .workflow-img-container {
//   display: flex;
//   flex-direction: row;
//   flex-wrap: wrap;
//   justify-content: space-between;
//   align-content: flex-start;
// }

.workflow-img-container {
  @include grid-layout.create-variable-grid($width-400, 20px, 3);
}

.caption-container {
  display: inline-block;
}

.workflow-img {
  // max-width: $width-400;
  width: $width-400;
  height: $max-image-height;
  object-fit: scale-down;
}

.workflow-caption {
  max-width: $width-400;
}

p {
  white-space: pre-line;
}

@media only screen and (max-width: mobile-screen.$max-tablet-width) {
  .workflow-img {
    max-width: $full-width;
  }

  .workflow-caption {
    max-width: $full-width;
    line-height: mobile-screen.$mobile-line-width;
  }
}
